Package org.apache.commons.math3.fitting.leastsquares

# Interface MultivariateJacobianFunction

All Known Subinterfaces:
  `ValueAndJacobianFunction`

public interface MultivariateJacobianFunction
A interface for functions that compute a vector of values and can compute their derivatives (Jacobian).

Since:
  3.3

## Method Summary

Modifier and Type
Method
Description
`Pair<RealVector,RealMatrix>`
`value(RealVector point)`
Compute the function value and its Jacobian.

## Method Details

### value

Pair<RealVector,RealMatrix> value(RealVector point)
Compute the function value and its Jacobian.

Parameters:
  `point` - the abscissae
Returns:
  the values and their Jacobian of this vector valued function.